classification
Title: 2to3 fails for inner __metaclass__ class definition
Type: Stage: resolved
Components: 2to3 (2.x to 3.x conversion tool) Versions:
process
Status: closed Resolution: wont fix
Dependencies: Superseder: Close 2to3 issues and list them here
View: 45544
Assigned To: benjamin.peterson Nosy List: benjamin.peterson, nw
Priority: normal Keywords: patch

Created on 2011-01-29 10:07 by nw, last changed 2021-10-20 23:01 by iritkatriel. This issue is now closed.

Files
File name Uploaded Description Edit
test.py nw, 2011-01-29 10:07 example
fix.patch nw, 2011-01-29 18:37 possible fix
Messages (2)
msg127394 - (view) Author: nw (nw) Date: 2011-01-29 10:07
The attached code is not converted properly. No warning either.

Eventually it may be a good idea to reintroduce the old more versatile method.
msg220757 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-06-16 20:39
@Benjamin what do you think of the proposed fix?
History
Date User Action Args
2021-10-20 23:01:46iritkatrielsetstatus: open -> closed
resolution: wont fix
superseder: Close 2to3 issues and list them here
stage: resolved
2019-03-15 23:17:25BreamoreBoysetnosy: - BreamoreBoy
2014-06-16 20:39:12BreamoreBoysetnosy: + BreamoreBoy
messages: + msg220757
2011-01-29 19:09:54georg.brandlsetassignee: benjamin.peterson

nosy: + benjamin.peterson
2011-01-29 18:37:46nwsetfiles: + fix.patch
keywords: + patch
2011-01-29 10:07:25nwcreate